Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.servlet
Class RequestProcessor

    java.lang.Object
      org.apache.cocoon.servlet.RequestProcessor

    public class RequestProcessor

extends Object

Nested Class Summary
`static class` | `RequestProcessor.InvalidBaseUrlException`
`static class` | `RequestProcessor.RequestProcessorException`
`static class` | `RequestProcessor.SitemapInitializationException`
`static class` | `RequestProcessor.SitemapNotFoundException`

Constructor Summary
`RequestProcessor(ServletContext servletContext, String sitemapPath, BeanFactory beanFactory)`

Method Summary
`static Map<String,Object>` | `prepareParameters(HttpServletRequest request, HttpServletResponse response, org.apache.cocoon.configuration.Settings settings, ServletContext servletContext)`
`void` | `service(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestProcessor

    public RequestProcessor(ServletContext servletContext,
                            String sitemapPath,
                            BeanFactory beanFactory)
                     throws RequestProcessor.SitemapNotFoundException,
                            RequestProcessor.InvalidBaseUrlException,
                            RequestProcessor.SitemapInitializationException

Throws:
  `RequestProcessor.SitemapNotFoundException`
  `RequestProcessor.InvalidBaseUrlException`
  `RequestProcessor.SitemapInitializationException`

Method Detail

### service

    public void service(HttpServletRequest request,
                        HttpServletResponse response)
                 throws IOException,
                        ServletException

  Throws:
    `IOException`
    `ServletException`

### prepareParameters

    public static Map<String,Object> prepareParameters(HttpServletRequest request,
                                                       HttpServletResponse response,
                                                       org.apache.cocoon.configuration.Settings settings,
                                                       ServletContext servletContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.